Fork me on GitHub"

# skbio.diversity.alpha.lladser_pe

skbio.diversity.alpha.lladser_pe(counts, r=10)

  Calculate single point estimate of conditional uncovered probability.

  State: Experimental as of 0.4.0.

  Parameters:

    - counts (1-D array_like, int) – Vector of counts.

    - r (int, optional) – Number of new colors that are required for the next prediction.

  Returns:

    Single point estimate of the conditional uncovered probability. May be `np.nan` if a point estimate could not be computed.

  Return type:

    double

  See also

  `lladser_ci`

  Notes

  This function is just a wrapper around the full point estimator described in Theorem 2 (i) in [1], intended to be called for a single best estimate on a complete sample. This function is not guaranteed to return estimated uncovered probabilities less than 1 if the coverage is too low.

  References

  [1]

  Lladser, Gouet, and Reeder, “Extrapolation of Urn Models via Poissonization: Accurate Measurements of the Microbial Unknown” PLoS 2011.